package pl.mimuw.wfnetreduction.connections;

import java.util.Set;

import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.models.graphbased.directed.petrinet.Petrinet;
import org.processmining.models.graphbased.directed.petrinet.PetrinetNode;

import pl.mimuw.wfnetreduction.parameters.WFNetReductionParameters;

public class WFNetReductionConnection extends AbstractConnection {

	/**
	 * Label for first input.
	 */
	public final static String PETRI_NET = "Petri net";
	
	/**
	 * Label for second input.
	 */
	public final static String INPUT_PLACEST = "Input places";
	
	/**
	 * Label for third input.
	 */
	public final static String OUTPUT_PLACEST = "Output places";

	/**
	 * Label for output.
	 */
	public final static String REDUCTION_RESULT = "Reduction result";

	/**
	 * Private copy of parameters.
	 */
	private WFNetReductionParameters parameters;

	/**
	 * Create a connection.
	 * @param net First input.
	 * @param inputPlaces Second input.
	 * @param outputPlaces Second input.
	 * @param reductionResult Output.
	 * @param parameters Parameters.
	 */
	public WFNetReductionConnection(Petrinet net, Set<PetrinetNode> inputs, Set<PetrinetNode> outputs, String reductionResult, WFNetReductionParameters parameters) {
		super("Your Connection");
		put(PETRI_NET, net);
		put(INPUT_PLACEST, inputs);
		put(OUTPUT_PLACEST, outputs);
		put(REDUCTION_RESULT, reductionResult);
		this.parameters = new WFNetReductionParameters(parameters);
	}

	/**
	 * 
	 * @return The parameters stored in the connection.
	 */
	public WFNetReductionParameters getParameters() {
		return parameters;
	}
}
