package pl.mimuw.wfnetreduction.parameters;

import java.util.Set;

import org.processmining.basicutils.parameters.impl.PluginParametersImpl;
import org.processmining.models.graphbased.directed.petrinet.Petrinet;
import org.processmining.models.graphbased.directed.petrinet.PetrinetNode;

public class WFNetReductionParameters extends PluginParametersImpl {
	
	public boolean isTryConnections() {
		return false;
	}

	private boolean limitTo11;
	private int yourInteger;
	private String yourString;
	
	public WFNetReductionParameters(Petrinet net, Set<PetrinetNode> inputs, Set<PetrinetNode> outputs) {
		super();
		setLimitTo11(false);
		setYourInteger(0);
		setYourString("abc");
	}

	public WFNetReductionParameters(WFNetReductionParameters parameters) {
		super(parameters);
		setLimitTo11(parameters.isLimitTo11());
		setYourInteger(parameters.getYourInteger());
		setYourString(parameters.getYourString());
	}
	
	public boolean equals(Object object) {
		if (object instanceof WFNetReductionParameters) {
			WFNetReductionParameters parameters = (WFNetReductionParameters) object;
			return super.equals(parameters) &&
					isLimitTo11() == parameters.isLimitTo11() &&
					getYourInteger() == parameters.getYourInteger() &&
					getYourString().equals(parameters.getYourString());
		}
		return false;
	}
	
	public void setLimitTo11(boolean yourBoolean) {
		this.limitTo11 = yourBoolean;
	}

	public boolean isLimitTo11() {
		return limitTo11;
	}

	public void setYourInteger(int yourInteger) {
		this.yourInteger = yourInteger;
	}

	public int getYourInteger() {
		return yourInteger;
	}

	public void setYourString(String yourString) {
		this.yourString = yourString;
	}

	public String getYourString() {
		return yourString;
	}
	
	public String toString() {
		return "(" + getYourString() + "," + getYourInteger() + "," + isLimitTo11() + ")";
	}
}
